Forum Post
Index > Scribe > i.Scribe for Mac OS Leopard on Intel?

Author/Date i.Scribe for Mac OS Leopard on Intel?
zsf
16/01/2008 7:17pm
Is there any change to expect a stable i.Scribe version for Mac OS Leopard on Intel processor? I was using i.Scribe for more than 3 years under Win XP, but now I have changed to Mac and the only available i.Scribe Mac installation is very unstable.
zsf
16/01/2008 7:37pm
... no need to reply. I just read your last week Blog messages about troubles with Mac`s Scribe release. I cross fingers for successfull solution soon. Sorry for posting a stupid question.
fret
03/02/2008 10:24pm
There is a new intel Mac build online now. I tested it on tiger but it should work ok on leopard. In fact I'd be interested in how well it runs.
zsf
05/02/2008 9:22am
I install it yesterday and it was working ... but actually totady morning when trying to send an email I received Debug message `Assert failed, file: /User/matthew/Code/Scribe/Code/ScribeSendReceive.cpp,line:701` ... and Scribe hangs up or crashes. I tried to re-install, but still the same error no matter what do I do. Receiving works, sending is crashing ...
zsf
05/02/2008 9:51am
... next bug. I have adjusted my message folders in MAC iScribe. When I copy `folders.mail2` from MAC OS to WinXP version the structure the message folders appear without name and for folders created in MAC I got message: `The type of folder `(null)` doesnot match it`s contents. The current type is MAGIC_NONE(0) The current type appears to be MAGIC_MAIL (aaff001) Can I fix it? When I let it to fix it, the folders appear without original name too.
fret
05/02/2008 11:01am
I'll have a look at those issues soon... over the next few days.
zsf
06/02/2008 8:38am
Just to confirm the situation repeated itself once again today, the same error message (just the line might be 7010). Thanks for your effords.
zsf
06/02/2008 3:04pm
... next inconvenience, after continuous run of several hours it stops to connect the POP3 server and must be restarted to download emails from POP3 account. One practical notice, it`s pity that `drag and drop` of email attachments does not work in MAC OS X version.
fret
06/02/2008 9:00pm
I've seen the problem where it stops working after several hours. It runs out of handles and starts return EMFILE from a whole lot of functions. Currently I think I'm leaking handles in the socket system somewhere.

dnd attachments... ok I'll look at that too.
fret
06/02/2008 9:07pm
What version of Scribe are you using on windows? You should only have the folder name issue when you use a really old version of Scribe...
fret
09/02/2008 2:06am
I've worked out what the issue is when it stops receiving mail. The SSL_shutdown call returns 0 always and leaves a "CLOSED" tcp socket around, which uses up an entry in the handle table. Eventually the 256 handle / process table is full of closed sockets and things go south.

Whats not immediately apparent is why SSL_shutdown is doing this. I'm going to have a look at the source for it asap.
fret
11/02/2008 11:26am
Ok, I got onto the OpenSSL mailing list and asked how your supposed to shut the connection down and someone kindly showed me... so it's all good now. It clears the handle from the process table and it should run happily for days.

Yay.
saju
11/02/2008 2:14pm
i'm glad it worked. all the best.
zsf
11/02/2008 6:41pm
I am glad and thankful that the `leaking hole` is fixed, cause today iScribe after few hours colapsed completelly and I lost all my setting (a bit frustrating). Is there any way how to get this newly fixed version? ... thanx
fret
11/02/2008 9:06pm
cause today iScribe after few hours colapsed completelly and I lost all my setting (a bit frustrating).

This is unrelated to the leak fix. You might find there is a ScribeOptions.bak in your Scribe folder that is useful. It can be renamed to ScribeOptions.xml

So did it crash? What happened just before the options were lost?

Is there any way how to get this newly fixed version?

I'll release something at the end of the week. I want to fix some d'n'd issues and spell checking.
Noramar
13/02/2008 10:01pm
Hi -- I purchased InScribe (for PC) a while back. Now I have a Mac. The latest InScribe release is terribly unstable. It keeps becoming unresponsive, so I haven't been able to use it at all yet.

I'll be looking forward to a stable release sometime soon. You mentioned this week?

Thanks.

Nora
Noramar
13/02/2008 10:03pm
Oh, and I forgot ... how come it doesn't import from iMail? Will that import option be available sometime soon? I'm just lazy and would prefer not to have to enter the information for my multiple ISPs manually.

Thanks.

Nora
fret
13/02/2008 10:34pm
Noramar: by "latest" you mean v1.90 test2?

I'm surprised that it's unstable for you, because it's been working well for me. Which version of Mac OS X are you running?

PPC or intel machine?

Are you using the SSL support for anything?

Mail.app support, it's something I'll look into after I fix some more glaring problems, like the above mentioned instability and d'n'd file support.
zsf
14/02/2008 3:19pm
This is unrelated to the leak fix

I am not sure, because Sribe first stoped receiving from POP3 account (this is the leak), so I wanted to check if SMTP is at least working, and when I press `send` icon it collapsed and started as freshly installed.

However, my problem no.1 is Debug message:`Assert failed, file: /User/matthew/Code/Scribe/Code/ScribeSendReceive.cpp,line:701` (see mes. from 05/02/2008). I am getting it quite reguarly (actually currently all the time) when I want to send email. I`m ready to help to indetify from where is it coming if needed and if able to do so.
fret
19/02/2008 11:59pm
Sorry I didn't get to put out a release over the w'end, but I'm flat out at the moment and will be till the next w'end. :(

Buuuuut I did find that the issue with mail receiving hanging and never finishing is NOT messages being dropped between the worker and GUI threads, it's the fact that the transaction state gets set back to "Waiting" for some messages, which causes the worker thread to loop infinitely. So the GUI thread gets the transaction object in a message and marks it as "Received". Then something happens (memory corruption?) and it gets marked back to "Waiting" even through the GUI thread has processed it. This happens sooner or later on a large mail download. So I played around with watchpoints in gdb for a while and the transaction state appears to be getting nuked in a really weird place: in a unrelated loop. I didn't fix it, but I'm getting pretty close to understanding why it happens.
Reply